Creates one schedule override or temporary Worker-to-Site move.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/work-schedule/exceptions"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"Kind\": \"example\", \"ScopeType\": \"example\", \"ScopeId\": \"example\", \"DestinationSiteId\": \"example\", \"WorkingCalendarId\": \"example\", \"IsWholeDay\": true, \"StartLocalDate\": \"2026-04-15\", \"EndLocalDateExclusive\": \"2026-04-15\", \"Intervals\": [ { \"StartLocalDate\": \"2026-04-15\", \"StartLocalTime\": \"example\", \"EndLocalDate\": \"2026-04-15\", \"EndLocalTime\": \"example\" } ], \"ReasonCode\": \"example\", \"ReasonText\": \"example\", \"OperationId\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/work-schedule/exceptions';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"Kind":"example","ScopeType":"example","ScopeId":"example","DestinationSiteId":"example","WorkingCalendarId":"example","IsWholeDay":true,"StartLocalDate":"2026-04-15","EndLocalDateExclusive":"2026-04-15","Intervals":[{"StartLocalDate":"2026-04-15","StartLocalTime":"example","EndLocalDate":"2026-04-15","EndLocalTime":"example"}],"ReasonCode":"example","ReasonText":"example","OperationId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/work-schedule/exceptions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "Kind": "example", "ScopeType": "example", "ScopeId": "example", "DestinationSiteId": "example", "WorkingCalendarId": "example", "IsWholeDay": true, "StartLocalDate": "2026-04-15", "EndLocalDateExclusive": "2026-04-15", "Intervals": [ { "StartLocalDate": "2026-04-15", "StartLocalTime": "example", "EndLocalDate": "2026-04-15", "EndLocalTime": "example" } ], "ReasonCode": "example", "ReasonText": "example", "OperationId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Complete authored payload for a new exception or correction replacement.
object
One exact local interval; the end may be on the following local date.
object
Examplegenerated
{ "Kind": "example", "ScopeType": "example", "ScopeId": "example", "DestinationSiteId": "example", "WorkingCalendarId": "example", "IsWholeDay": true, "StartLocalDate": "2026-04-15", "EndLocalDateExclusive": "2026-04-15", "Intervals": [ { "StartLocalDate": "2026-04-15", "StartLocalTime": "example", "EndLocalDate": "2026-04-15", "EndLocalTime": "example" } ], "ReasonCode": "example", "ReasonText": "example", "OperationId": "example"}Complete authored payload for a new exception or correction replacement.
object
One exact local interval; the end may be on the following local date.
object
Examplegenerated
{ "Kind": "example", "ScopeType": "example", "ScopeId": "example", "DestinationSiteId": "example", "WorkingCalendarId": "example", "IsWholeDay": true, "StartLocalDate": "2026-04-15", "EndLocalDateExclusive": "2026-04-15", "Intervals": [ { "StartLocalDate": "2026-04-15", "StartLocalTime": "example", "EndLocalDate": "2026-04-15", "EndLocalTime": "example" } ], "ReasonCode": "example", "ReasonText": "example", "OperationId": "example"}Complete authored payload for a new exception or correction replacement.
object
One exact local interval; the end may be on the following local date.
object
Examplegenerated
{ "Kind": "example", "ScopeType": "example", "ScopeId": "example", "DestinationSiteId": "example", "WorkingCalendarId": "example", "IsWholeDay": true, "StartLocalDate": "2026-04-15", "EndLocalDateExclusive": "2026-04-15", "Intervals": [ { "StartLocalDate": "2026-04-15", "StartLocalTime": "example", "EndLocalDate": "2026-04-15", "EndLocalTime": "example" } ], "ReasonCode": "example", "ReasonText": "example", "OperationId": "example"}Responses
Section titled “Responses”OK
object
Mutation result with the refreshed append-only chain.
object
Complete append-only history and current effective evidence.
object
One immutable schedule-exception evidence entry.
object
One exact local interval with frozen boundary provenance where applicable.
object
Compact read model for user references inside runtime instance payloads.
object
User identifier.
Resolved user display name.
One structured daylight-saving boundary diagnostic.
object
One immutable schedule-exception evidence entry.
object
One exact local interval with frozen boundary provenance where applicable.
object
Compact read model for user references inside runtime instance payloads.
object
User identifier.
Resolved user display name.
One structured daylight-saving boundary diagnostic.
object
Server-computed actions for an exception chain.
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}